# Project Setup
1. Download and install python 3.8 or above
2. Create venv: `python3 -m venv ./venv` (Linux) or on Windows `python -m venv ./venv`
3. activate venv with `source ./venv/bin/activate` (Linux) or `./venv/Scripts/activate.bat` on Windows
4. `pip install -r requirements.txt`
5. Start Game with `python3 main.py`

For Video Playback to work under Linux.
- For Ubuntu/Debian/Raspbian
  1. `sudo apt-get update -y`
  2. `sudo apt-get install -y libmediainfo-dev`
- Redhat/CentOS/Fedora
  1. `yum install libmediainfo`
  2. Or if you want to use dnf: `sudo dnf install libmediainfo`

Video Playback on Windows works out of the box (a small change in `pyvidplayer.py` was needed though, see code documentation).

Videoplayback on macOS

1. https://mediaarea.net/en/MediaInfo/Download/Mac_OSDownload the DyLib version suited to your macOS and processor architecture
2. Extract the folder
3. Create directory‘sudo mkdir /usr/local/lib’ NOTE: Can't use "/usr/lib" is protected by SIPCopy and paste extracted file ‘libmediainfo.0.dylib’ into /usr/local/libCopy and paste the same file ‘libmediainfo.0.dylib’ but renamed to ‘libmediainfo.dylib’ again
4. A little tricky:Go into your venv folder and navigate to python3.10/site-packages/pymediainfo/__init__.py(Python Version may differ)Navigate to the @classmethod def _get_libraryIn the case destinction for library file:“if library_file is None”comment out the line “#library_paths = cls._get_library_paths(os_is_nt)”and add the line “library_paths = ("/usr/local/lib/libmediainfo.0.dylib", "/usr/local/lib/libmediainfo.dylib”)”

# Resource References
Adventurer - Hiker: https://the-baldur.itch.io/pixelart-hiker
Author: The Baldur

Inca Tileset: https://kronbits.itch.io/inca-game-assets
Author: Davit Masia

Dog: https://opengameart.org/content/dog-sprites

German Sheperd: https://opengameart.org/content/german-shepherd-0

Dog 3: https://benvictus.itch.io/pixel-dogs
Author: Benvictus

Portal based on: https://opengameart.org/content/portals
Author: LetargicDev

dog bone based on: https://www.seekpng.com/idown/u2e6y3i1w7e6e6o0_png-dog-bone-vector-transparent-stock-bone-pixel/
author unknon

fire column: https://sanctumpixel.itch.io/fire-column-pixel-art-effect/download/eyJleHBpcmVzIjoxNjY5MDQ1MTc0LCJpZCI6NjY2NzY2fQ%3d%3d.2WF9KgIGMhr%2ffl3ThD%2bvkg0XdKE%3d
author: sanctumpixel

lava floor based on: https://dribbble.com/shots/2303888-Lava-Animation/attachments/9234752?mode=media
author: Luis Zuno

wooden box: https://www.pixilart.com/art/crate-ea3fffb5d0feff3
author: Voltron25

cobweb: https://lil-cthulhu.itch.io/pixel-art-spider-web
author: lil-cthulhu

vines based on: https://www.reddit.com/r/Minecraft/comments/dp73to/i_tried_to_make_ivy_texture_replaces_vine/
author: disturbed_lama

pot based on: https://dribbble.com/shots/2542906-2D-Pixel-Art-Pots
author: Dere Bess

maya temple outside based on: https://www.freepik.com/free-vector/maya-civilization-culture-architecture-cartoon-illustration_13963355.htm#query=mayan%20temple&position=4&from_view=keyword
author: macrovector

coin2 based on: https://ninjikin.itch.io/treasure

treasure from: https://ninjikin.itch.io/treasure

bark sound in video: https://freesound.org/people/Jace/sounds/155309/
author: jace

windsound in video: https://freesound.org/people/Fission9/sounds/521736/
author: Fission9 

wallet art: https://kyrise.itch.io/kyrises-free-16x16-rpg-icon-pack
author: Kyrise

pyvidplayer: https://github.com/ree1261/pyvidplayer
author: ree1261

jungle walking sound: https://freesound.org/people/bevangoldswain/sounds/54780/
author: bevangoldswain

sound of jungle: https://freesound.org/people/kajoo/sounds/628939/
author: kajoo

call to adventure music: https://incompetech.com/music/royalty-free/music.html
author: "Call to Adventure" Kevin MacLeod (incompetech.com) Licensed under Creative Commons: By Attribution 4.0 License http://creativecommons.org/licenses/by/4.0/

error sound https://freesound.org/people/philRacoIndie/sounds/551543/
author: philRacoIndie

character switch sound https://freesound.org/people/User391915396/sounds/571185/
author: User391915396

menu select sound https://freesound.org/people/User391915396/sounds/571188/
author: User391915396

HUD elements based on https://opengameart.org/content/golden-ui-bigger-than-ever-edition
author: https://opengameart.org/content/ui-pieces by Buch 

karl damage sound https://freesound.org/people/micahlg/sounds/413176/
author: micahlg

barking sound death based on https://freesound.org/people/ken788/sounds/386766/
author: ken788

running sounds based on https://freesound.org/people/Nox_Sound/sounds/490951/
author: Nox_Sound

jump sound https://freesound.org/people/FullStackSound/sounds/662463/
author: FullStackSound

crouch sound based on https://freesound.org/people/duckduckpony/sounds/204016/
author: duckyduckypony

door close sound https://freesound.org/people/patchytherat/sounds/530987/
author: patchytherat

door open sound https://freesound.org/people/Debsound/sounds/168821/
author: Debsound

coin sound https://freesound.org/people/plasterbrain/sounds/608431/
author: plasterbrain

menu move sound https://freesound.org/people/broumbroum/sounds/50561/
author: broumbroum

level leave sound https://freesound.org/people/plasterbrain/sounds/351809/
author: plasterbrain

level start sound https://freesound.org/people/plasterbrain/sounds/243020/
author: plasterbrain

logo inspired by Indiana Jones and the Fate of Atlantis LUCASARTS GAMES

indiana bones sprite based on https://benvictus.itch.io/pixel-dogs
author: Benvictus

junglepack by https://jesse-m.itch.io/jungle-pack
author: jesse-m

success sound from https://freesound.org/people/Sheyvan/sounds/470083/
author: Sheyvan

game over sound from https://freesound.org/people/Porphyr/sounds/209651/
author: Porphyr

credits music from https://pixabay.com/de/music/welt-africa-125735/
author: AlexiAction

bone sound: https://freesound.org/people/FunWithSound/sounds/456966/
author: FunWithSound