from sprites import obstacles, doors
import pygame
import pygame
from pygame.locals import *
from constants import *
from spritesheet import Spritesheet

#the class for the sprite of Indiana Bones
#only displayed in the main menu
class IndianaBones(pygame.sprite.Sprite):
    def __init__(self):
        super().__init__()

        self.fps_counter = 0
        self.cur_animation_index = 0

        self.surf = pygame.Surface((500, 150))
        self.rect = self.surf.get_rect()
        self.rect.center = (730, 280)

        self.indiana_bones = Spritesheet("./assets/player_2/IndianaBonesDogBrown.png")

        self.IB_moves = self.indiana_bones.images_at(
            [(0,144, 64, 48), (64,144, 64, 48), (128,144, 64, 48), (192,144,64, 48), (256,144, 64, 48), (320,144, 64, 48),
             (0,144, 64, 48), (64,144, 64, 48), (128,144, 64, 48), (192,144,64, 48), (256,144, 64, 48), (320,144, 64, 48),
             (0,144, 64, 48), (64,144, 64, 48), (128,144, 64, 48), (192,144,64, 48), (256,144, 64, 48), (320,144, 64, 48),
             (0, 144, 64, 48), (64, 144, 64, 48), (64,240, 64, 48), (64,240, 64, 48), (128, 144, 64, 48), (192, 144, 64, 48), (256, 144, 64, 48), (320, 144, 64, 48)],
            colorkey=(122, 97, 86))
        self.IB_moves = [pygame.transform.scale(image, (256, 192)) for image in self.IB_moves]

    #change index and thus update sprite animation
    def update(self):
        relevant_animation = self.IB_moves

        self.cur_animation_index = self.cur_animation_index % len(relevant_animation)
        self.fps_counter += 1

        if self.fps_counter % 10 == 0:
            self.fps_counter = 0
            self.cur_animation_index = (self.cur_animation_index + 1) % len(relevant_animation)
        else:
            self.surf = relevant_animation[self.cur_animation_index]

    def move(self, x, y):
        self.rect.center = (x,y)