from sprites import obstacles, doors
import pygame
import pygame
from pygame.locals import *
from constants import *
from spritesheet import Spritesheet

#the class for the sprite of Indiana Bones' Human Sidekick KARL
#only used in main menu
class Karl(pygame.sprite.Sprite):
    def __init__(self):
        super().__init__()

        self.fps_counter = 0
        self.cur_animation_index = 0

        self.surf = pygame.Surface((500, 150))
        self.rect = self.surf.get_rect()
        self.rect.center = (730, 280)

        self.karl = Spritesheet("./assets/player_1/Idle.png")

        self.karl_idle = self.karl.images_at(
            [(32 * i, 0, 32, 32) for i in range(6)],
            colorkey=(0, 0, 0))
        self.karl_idle = [pygame.transform.scale(image, (224, 224)) for image in self.karl_idle]
        self.karl_idle = [pygame.transform.flip(image, flip_x=True, flip_y=False) for image in self.karl_idle]

    # change index and thus update sprite animation
    def update(self):
        relevant_animation = self.karl_idle

        self.cur_animation_index = self.cur_animation_index % len(relevant_animation)
        self.fps_counter += 1

        if self.fps_counter % 10 == 0:
            self.fps_counter = 0
            self.cur_animation_index = (self.cur_animation_index + 1) % len(relevant_animation)
        else:
            self.surf = relevant_animation[self.cur_animation_index]

    def move(self, x, y):
        self.rect.center = (x,y)