from sprites import obstacles, doors
import pygame
import pygame
from pygame.locals import *
from constants import *
from spritesheet import Spritesheet

#the sprite of logo of the game
class Logo(pygame.sprite.Sprite):
    def __init__(self):
        super().__init__()

        self.fps_counter = 0
        self.cur_animation_index = 0

        self.surf = pygame.Surface((500, 150))
        self.rect = self.surf.get_rect()
        self.rect.topleft = (WIDTH / 2 - 500/2, HEIGHT / 2 - 150/2 - 50)

        self.spritesheet_logo = Spritesheet("./assets/logo/indianabones_logo_test.png")

        self.logo_moves = self.spritesheet_logo.images_at(
            [(0,0, 500, 150), (500,0, 500, 150), (0,150, 500, 150), (500,150, 500, 150), (0,300, 500, 150), (500,300, 500, 150), (0, 450, 500, 150), (500, 450, 500, 150), (0, 600, 500, 150)],
            colorkey=(255, 0, 0))


    # change index and thus update sprite animation
    def update(self):
        relevant_animation = self.logo_moves

        self.cur_animation_index = self.cur_animation_index % len(relevant_animation)
        self.fps_counter += 1

        if self.fps_counter % 10 == 0:
            self.fps_counter = 0
            self.cur_animation_index = (self.cur_animation_index + 1) % len(relevant_animation)
        else:
            self.surf = relevant_animation[self.cur_animation_index]

    def move(self, x, y):
        self.rect.center = (x,y)