from game import Game
import pygame

def main():
    # this is the main loop that is executed when entering the game
    # we initialize the game and run the appropriate loop according to the game's state
    g = Game()

    while g.running:
        #while the game is running, setting the game's states like .inMenu or .playing
        # will make this loop react and switch to the appropriate loops
        if g.inMenu:
            g.curr_menu.display_menu()

        if g.playing:
            g.game_loop()

        if g.paused:
            g.pause_loop()

        if g.game_over:
            g.game_over_loop()

        if g.success:
            g.success_loop()


if __name__ == "__main__":
    # Uncomment to enable Profiling to figure out performance issues

    # import cProfile as profile
    #
    # profile.run('main()', sort="tottime")

    main()
