import pygame

from constants import displaysurface
from utils import create_text_surf

#wallet class that holds information about the current amount of coins thrown into the arcade
class Wallet():
    def __init__(self):
        # Creating the Surface that displays the current balance
        self.balance = 0
        self.surf = pygame.Surface((150, 50), pygame.SRCALPHA)
        text_surf = create_text_surf(str(self.balance), 15, (237, 189, 78))
        self.coin_surf = pygame.image.load("./assets/wallet/coin_04d.png")
        self.coin_surf = pygame.transform.scale(self.coin_surf, (24, 24))
        self.surf.blit(self.coin_surf, dest=(0, 0))
        self.surf.blit(text_surf, dest=(30, 0))

    def increase_balance(self):
        # We increase the balance and rerender our surface
        self.surf = pygame.Surface((150, 50), pygame.SRCALPHA)
        self.balance += 1
        text_surf = create_text_surf(str(self.balance), 15, (237, 189, 78))
        self.surf.blit(self.coin_surf, dest=(0, 0))
        self.surf.blit(text_surf, dest=(30, 0))

    def decrease_balance(self):
        # We decrease the balance and rerender our surface
        self.surf = pygame.Surface((150, 50), pygame.SRCALPHA)
        self.balance -= 1
        text_surf = create_text_surf(str(self.balance), 15, (237, 189, 78))
        self.surf.blit(self.coin_surf, dest=(0, 0))
        self.surf.blit(text_surf, dest=(30, 0))